[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SysTryResizeMem

System memory manager: attempt to resize memory.

## Declaration

Source position: heaph.inc line 79

`function SysTryResizeMem(`
`var p: pointer;`
`size: PtrUInt`
`):Boolean;`

## Description

SysTryResizeMem is a help routine for the system memory manager implementation for ReAllocMem, SysReAllocMem

## See also

SysReAllocMem |  | System memory manager: Reallocate memory
ReAllocMem |  | Re-allocate memory on the heap